
%define debug_package %{nil}
Name:    tezos-baking
Version: 21.3
Release: 1
Epoch: 1
Summary: Package that provides systemd services that orchestrate other services from Tezos packages
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-baking-21.3.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v21.3/
BuildRequires: systemd systemd-rpm-macros, python3-devel, python3-setuptools, python3-wheel, python3-tox-current-env
Requires: tezos-baker-PsParisC, tezos-baker-PsQuebec, tezos-node, acl, wget
%description
Package that provides systemd services that orchestrate other services from Tezos packages
Maintainer: Serokell <hi@serokell.io>
%prep
%autosetup -p1 -n tezos-baking-21.3

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files tezos_baking

%check
%tox


mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-baking-mainnet.service %{buildroot}/%{_unitdir}
install -m 644 tezos-baking-ghostnet.service %{buildroot}/%{_unitdir}
install -m 644 tezos-baking-quebecnet.service %{buildroot}/%{_unitdir}
install -m 644 tezos-baking-custom@.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-baking-mainnet.default %{buildroot}/%{_sysconfdir}/default/tezos-baking-mainnet
install -m 644 tezos-baking-ghostnet.default %{buildroot}/%{_sysconfdir}/default/tezos-baking-ghostnet
install -m 644 tezos-baking-quebecnet.default %{buildroot}/%{_sysconfdir}/default/tezos-baking-quebecnet
install -m 644 tezos-baking-custom@.default %{buildroot}/%{_sysconfdir}/default/tezos-baking-custom@

install -m 0755 tezos-baking-prestart %{buildroot}/%{_bindir}
install -m 0755 tezos-baking-start %{buildroot}/%{_bindir}


%files
%{_bindir}/tezos-setup
%{_bindir}/tezos-vote
%{python3_sitelib}/tezos_baking*
%license LICENSE

%{_bindir}/tezos-baking-prestart
%{_bindir}/tezos-baking-start

%{_unitdir}/tezos-baking-mainnet.service
%{_unitdir}/tezos-baking-ghostnet.service
%{_unitdir}/tezos-baking-quebecnet.service
%{_unitdir}/tezos-baking-custom@.service

%{_sysconfdir}/default/tezos-baking-mainnet
%{_sysconfdir}/default/tezos-baking-ghostnet
%{_sysconfdir}/default/tezos-baking-quebecnet
%{_sysconfdir}/default/tezos-baking-custom@



%post
%systemd_post tezos-baking-mainnet.service
%systemd_post tezos-baking-ghostnet.service
%systemd_post tezos-baking-quebecnet.service
%systemd_post tezos-baking-custom@.service



%preun
%systemd_preun tezos-baking-mainnet.service
%systemd_preun tezos-baking-ghostnet.service
%systemd_preun tezos-baking-quebecnet.service
%systemd_preun tezos-baking-custom@.service


%postun
%systemd_postun_with_restart tezos-baking-mainnet.service
%systemd_postun_with_restart tezos-baking-ghostnet.service
%systemd_postun_with_restart tezos-baking-quebecnet.service
%systemd_postun_with_restart tezos-baking-custom@.service



